BizKitHub
DocsAPI ReferenceNewsletter/bff/newsletter/job-run-action
postNewsletterAdmin BFF

/bff/newsletter/job-run-action

Executes a control action (start, pause, resume, cancel) on a newsletter sending job.

NewsletterpostBffNewsletterJob-run-action

Parameters

JSON body

Request body

application/json
idstringRequired

Newsletter job ID.

actionstringRequired

Action to run: start, pause, resume, cancel.

Examplestart

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/newsletter/job-run-action

post
curl -X POST "https://api.bizkithub.com/bff/newsletter/job-run-action" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "action": "start"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key